Skip to main content

Atrium API

Generate OAuth Window URI

This endpoint will generate an oauth_window_uri for the specified member.

Generating a new oauth_window_uri is necessary to send the end user through the OAuth process again. The following are a few examples where you might want to do this:

  • A previous attempt at OAuth failed — for instance if the end user closed the OAuth window before completing the process.
  • The financial institution has revoked a previous OAuth token or the token has expired.

The member in question must be connected to an institution which supports OAuth. if the institution does not support OAuth, a 400 Bad Request error will be returned with the message Member cannot use OAuth.

GET
/users/{user_guid}/members/{member_guid}/oauth_window_uri

Query Parameters

FieldRequiredType

skip_aggregation

Setting this parameter to true will prevent the member from automatically aggregating after being redirected from the authorization page.

Optional
Boolean

referral_source

Must be either BROWSER or APP depending on the implementation. Defaults to BROWSER.

Optional
String

client_redirect_url

A URL that MX will redirect to at the end of OAuth with additional query parameters. Only available with referral_source: "APP"

Optional
String

ui_message_webview_url_scheme

A scheme for routing the user back to the application state they were previously in. Only available with referral_source: "APP"

Optional
String

Request sample

Language:sh

_10
curl -i 'https://vestibule.mx.com/users/{user_guid}/members/{member_guid}/oauth_window_uri' \
_10
-H 'Accept: application/vnd.mx.atrium.v1+json' \
_10
-H 'MX-API-Key: {mx_api_key}' \
_10
-H 'MX-Client-ID: {mx_client_id}'

Response sample

200
Language:json

_16
{
_16
"member": {
_16
"aggregated_at": "2016-10-13T18:07:57+00:00",
_16
"connection_status": "CONNECTED",
_16
"guid": "MBR-7c6f361b-e582-15b6-60c0-358f12466b4b",
_16
"identifier": "unique_id",
_16
"institution_code": "mx_bank_oauth",
_16
"is_being_aggregated": false,
_16
"metadata": "{\"credentials_last_refreshed_at\": \"2015-10-15\"}",
_16
"name": "MX Bank (OAuth)",
_16
"oauth_window_uri": "https://mxbank.mx.com/oauth/authorize?client_id=b8OikQ4Ep3NuSUrQ13DdvFuwpNx-qqoAsJDVAQCyLkQ&redirect_uri=https%3A%2F%2Fint-app.moneydesktop.com%2Foauth%2Fredirect_from&response_type=code&scope=openid&state=d273e4f71bc095cf16c4acbee011caf4",
_16
"status": "COMPLETED",
_16
"successfully_aggregated_at": "2016-10-13T17:57:38+00:00",
_16
"user_guid": "USR-fa7537f3-48aa-a683-a02a-b18940482f54"
_16
}
_16
}